-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- (C) Copyright IBM Corporation 2010. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT
--


/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: Teamworks 7.0 SP1
 * To Version: Teamworks 7.1.0
 */

    

		
/* START of phase PerfUpgradeTo710 */
    
			
                    	ALTER  TABLE LSW_TIMING_INTERVAL 
						ADD (
						"IS_AUTO" NCHAR(1) DEFAULT 'T'  NOT NULL ENABLE
						)
					
GO


	                    	update lsw_timing_interval set is_auto='F' where length(external_unique_id) <= 33							
	                    
GO


		
/* END of phase PerfUpgradeTo710 */

	
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: Teamworks 7.1.0
 * To Version: Teamworks 7.2.0
 */

    

  		
/* START of phase PerfUpgradeTo720 */
    
  			
ALTER  TABLE LSW_TASK 
ADD (
"MAX_STEP" NUMBER(31,0) DEFAULT 0
)
GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_TASK_NQ3') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_TASK_NQ3 ON LSW_TASK("MAX_STEP")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_TASK_NQ4') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_TASK_NQ4 ON LSW_TASK("CREATION_TIME","TASK_ID")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_TASK_NQ5') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_TASK_NQ5 ON LSW_TASK("START_TIME","TASK_ID")';	
   	END IF ;
  END ;
END ;    	

GO


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_TASK_NQ6') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_TASK_NQ6 ON LSW_TASK("END_TIME","TASK_ID")';	
   	END IF ;
  END ;
END ;    	

GO




BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('LSWC_TRCKNGPTL_NQ4') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX LSWC_TRCKNGPTL_NQ4 ON LSW_TRACKING_POINT_VALUE("TIME_STAMP","TRACKING_POINT_VALUE_ID")';	
   	END IF ;
  END ;
END ;    	

GO


GO


  		
/* END of phase PerfUpgradeTo720 */

  		
  		
/* START of phase UpgradeTrackingGroupIndices */
    
  			


BEGIN
DECLARE
v_table_count NUMBER;
  BEGIN
    select count(*) into v_table_count from all_objects where object_type='INDEX' and object_name = UPPER('%Constraint_Prefix%_IDX1') AND ( owner='@DB_USER@' OR owner=UPPER('@DB_USER@') );     
    IF (v_table_count = 0) THEN 
    	EXECUTE IMMEDIATE  'CREATE INDEX %Constraint_Prefix%_IDX1 ON %Table_Name%("TIME_STAMP")';	
   	END IF ;
  END ;
END ;    	

GO


  		
/* END of phase UpgradeTrackingGroupIndices */


        
/* START of phase UpgradeTGColumns */
    
            
BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('%TRACKING_GROUP_NAME%') AND UPPER(column_name)= UPPER('%COLUMN_NAME%');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE %TRACKING_GROUP_NAME% MODIFY "%COLUMN_NAME%" NVARCHAR2(%COLUMN_LENGTH%)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE %TRACKING_GROUP_NAME% MODIFY "%COLUMN_NAME%" NVARCHAR2(%COLUMN_LENGTH%)';
	END IF ;
  END ;
END ;	

GO


        
/* END of phase UpgradeTGColumns */


    
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: Teamworks 7.2.0
 * To Version: Teamworks 7.5.0
 */

    

        
/* START of phase PerfUpgradeTo750 */
    
            
        
/* END of phase PerfUpgradeTo750 */

    
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: Teamworks 7.5.0
 * To Version: Teamworks 7.5.1
 */

    

        
/* START of phase PerfUpgradeTo751 */
    
            
        
/* END of phase PerfUpgradeTo751 */

    
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: Teamworks 7.5.1
 * To Version: Teamworks 8.0.0
 */

    

        
/* START of phase PerfUpgradeTo800 */
    
            
        
/* END of phase PerfUpgradeTo800 */

    
/*
 * Oracle Upgrade Script for TeamWorks
 * From Version: BPM 8.0.0
 * To Version: BPM 8.0.1
 */

    

		
/* START of phase PerfUpgradeTo801 */
    
			
BEGIN
DECLARE
v_isNullable CHAR(1);
  BEGIN
    select nullable into v_isNullable from all_tab_columns where UPPER(owner)=UPPER('@DB_USER@') AND UPPER(table_name) = UPPER('LSW_TASK') AND UPPER(column_name)= UPPER('ASSIGNED_GROUP_ID');     
    IF (v_isNullable = 'Y') THEN
      EXECUTE IMMEDIATE  'ALTER TABLE LSW_TASK MODIFY "ASSIGNED_GROUP_ID" NVARCHAR2(261)';
    ELSE 
	  EXECUTE IMMEDIATE  'ALTER TABLE LSW_TASK MODIFY "ASSIGNED_GROUP_ID" NVARCHAR2(261)';
	END IF ;
  END ;
END ;	

GO


		
/* END of phase PerfUpgradeTo801 */

	