-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- (C) Copyright IBM Corporation 2010. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT
--


/*
 * MSSQL Upgrade Script for TeamWorks
 * From Version: Teamworks 7.0 SP1
 * To Version: Teamworks 7.1.0
 */

    

		
/* START of phase PerfUpgradeTo710 */
    
			
                    	ALTER  TABLE LSW_TIMING_INTERVAL 
						ADD 
						IS_AUTO NCHAR(1) DEFAULT 'T'  NOT NULL
						
                    
GO


	                    	update lsw_timing_interval set is_auto='F' where len(external_unique_id) <= 33							
	                    
GO


		
/* END of phase PerfUpgradeTo710 */

	
/*
 * MSSQL Upgrade Script for TeamWorks
 * From Version: Teamworks 7.1.0
 * To Version: Teamworks 7.2.0
 */

    

  		
/* START of phase PerfUpgradeTo720 */
    
  			
ALTER  TABLE LSW_TASK 
ADD 
MAX_STEP DECIMAL(38,0) DEFAULT 0
GO


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ3' )
CREATE INDEX LSWC_TASK_NQ3 ON LSW_TASK(MAX_STEP) 
GO


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ4' )
CREATE INDEX LSWC_TASK_NQ4 ON LSW_TASK(CREATION_TIME,TASK_ID) 
GO


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ5' )
CREATE INDEX LSWC_TASK_NQ5 ON LSW_TASK(START_TIME,TASK_ID) 
GO


if not exists (select name from sys.indexes where name = 'LSWC_TASK_NQ6' )
CREATE INDEX LSWC_TASK_NQ6 ON LSW_TASK(END_TIME,TASK_ID) 
GO


if not exists (select name from sys.indexes where name = 'LSWC_TRCKNGPTL_NQ4' )
CREATE INDEX LSWC_TRCKNGPTL_NQ4 ON LSW_TRACKING_POINT_VALUE(TIME_STAMP,TRACKING_POINT_VALUE_ID) 
GO


GO


  		
/* END of phase PerfUpgradeTo720 */

  		
  		
/* START of phase UpgradeTrackingGroupIndices */
    
  			
if not exists (select name from sys.indexes where name = '%Constraint_Prefix%_IDX1' )
CREATE INDEX %Constraint_Prefix%_IDX1 ON %Table_Name%(TIME_STAMP) 
GO


  		
/* END of phase UpgradeTrackingGroupIndices */


        
/* START of phase UpgradeTGColumns */
    
            
ALTER TABLE %TRACKING_GROUP_NAME% ALTER COLUMN %COLUMN_NAME% NVARCHAR(%COLUMN_LENGTH%) NULL
GO


        
/* END of phase UpgradeTGColumns */


    
/*
 * MSSQL Upgrade Script for TeamWorks
 * From Version: Teamworks 7.2.0
 * To Version: Teamworks 7.5.0
 */

    

        
/* START of phase PerfUpgradeTo750 */
    
            
        
/* END of phase PerfUpgradeTo750 */

    
/*
 * MSSQL Upgrade Script for TeamWorks
 * From Version: Teamworks 7.5.0
 * To Version: Teamworks 7.5.1
 */

    

        
/* START of phase PerfUpgradeTo751 */
    
            
        
/* END of phase PerfUpgradeTo751 */

    
/*
 * MSSQL Upgrade Script for TeamWorks
 * From Version: Teamworks 7.5.1
 * To Version: Teamworks 8.0.0
 */

    

        
/* START of phase PerfUpgradeTo800 */
    
            
        
/* END of phase PerfUpgradeTo800 */

    
/*
 * MSSQL Upgrade Script for TeamWorks
 * From Version: BPM 8.0.0
 * To Version: BPM 8.0.1
 */

    

		
/* START of phase PerfUpgradeTo801 */
    
			
ALTER TABLE LSW_TASK ALTER COLUMN ASSIGNED_GROUP_ID NVARCHAR(261) NULL
GO


		
/* END of phase PerfUpgradeTo801 */

	